- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkProfiles/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkProfiles/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkProfiles/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkProfiles/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkProfiles/get#body.NetworkProfile.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkProfiles/get#body.NetworkProfile.SCHEMA_REPRESENTATION.features.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkProfiles/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkProfiles/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/networkProfiles/get#try-it)

Returns the specified network profile.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/global/networkProfiles/{networkProfile}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `networkProfile` | `string` Name of the network profile to return. |

### Request body

The request body must be empty.

### Response body

NetworkProfile represents a Google managed network profile resource.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "selfLinkWithId": string, "location": { "scope": enum, "name": string }, "profileType": { "rdmaSubtype": enum, "vpcSubtype": enum, "ullSubtype": enum, "networkType": enum }, "features": { "allowSameNetworkUnicast": enum, "unicast": enum, "multicast": enum, "allowMulticast": enum, "allowAutoModeSubnet": enum, "allowVpcPeering": enum, "allowMultiNicInSameNetwork": enum, "allowLoadBalancing": enum, "allowStaticRoutes": enum, "allowPsc": enum, "allowCloudRouter": enum, "allowCloudNat": enum, "allowVpn": enum, "allowInterconnect": enum, "allowPacketMirroring": enum, "subnetworkPurposes": [ enum ], "subnetworkStackTypes": [ enum ], "subnetPurposes": [ enum ], "subnetStackTypes": [ enum ], "allowPrivateGoogleAccess": enum, "interfaceTypes": [ enum ], "allowClassDFirewalls": enum, "allowSubInterfaces": enum, "allowExternalIpAccess": enum, "addressPurposes": [ enum ], "allowAliasIpRanges": enum, "allowDefaultNicAttachment": enum, "allowNcc": enum, "allowIpForwarding": enum, "allowNetworkMigration": enum, "allowFirewallPolicy": enum, "firewallPolicyTypes": [ enum ], "allowVpcFirewallRules": enum, "allowMultiNicInSameSubnetwork": enum, "predefinedNetworkInternalIpv6Range": string, "predefinedSubnetworkRanges": [ { "namePrefix": string, "ipv6Range": string } ], "allowSubnetworkCreation": enum, "allowAddressCreation": enum } } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#networkProfile` for network profiles. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Output only. Name of the resource. |
| `description` | `string` Output only. An optional description of this resource. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `selfLinkWithId` | `string` Output only. Server-defined URL for this resource with the resource id. |
| `location` | `object` Output only. Location to which the network is restricted. |
| `location.scope` | `enum` |
| `location.name` | `string` |
| `profileType` | `object` Output only. Type of the network profile. |
| `profileType.rdmaSubtype` | `enum` |
| `profileType.vpcSubtype` | `enum` |
| `profileType.ullSubtype` | `enum` |
| `profileType.networkType` | `enum` |
| `features` | `object` Output only. Features supported by the network. |
| `features.allowSameNetworkUnicast` | `enum` Specifies whether unicast within the same network is allowed. |
| `features.unicast` | `enum` Specifies which type of unicast is supported. |
| `features.multicast` | `enum` Specifies which type of multicast is supported. |
| `features.allowMulticast` | `enum` Specifies whether multicast is allowed. |
| `features.allowAutoModeSubnet` | `enum` Specifies whether auto mode subnet creation is allowed. |
| `features.allowVpcPeering` | `enum` Specifies whether VPC peering is allowed. |
| `features.allowMultiNicInSameNetwork` | `enum` Specifies whether multi-nic in the same network is allowed. |
| `features.allowLoadBalancing` | `enum` Specifies whether cloud load balancing is allowed. |
| `features.allowStaticRoutes` | `enum` Specifies whether static route creation is allowed. |
| `features.allowPsc` | `enum` Specifies whether PSC creation is allowed. |
| `features.allowCloudRouter` | `enum` Specifies whether cloud router creation is allowed. |
| `features.allowCloudNat` | `enum` Specifies whether cloud NAT creation is allowed. |
| `features.allowVpn` | `enum` Specifies whether VPN creation is allowed. |
| `features.allowInterconnect` | `enum` Specifies whether Cloud Interconnect creation is allowed. |
| `features.allowPacketMirroring` | `enum` Specifies whether Packet Mirroring 1.0 is supported. |
| `features.subnetworkPurposes[]` | `enum` Output only. Specifies which subnetwork purposes are supported. |
| `features.subnetworkStackTypes[]` | `enum` Output only. Specifies which subnetwork stack types are supported. |
| `features.subnetPurposes[]` | `enum` Specifies which subnetwork purposes are supported. |
| `features.subnetStackTypes[]` | `enum` Specifies which subnetwork stack types are supported. |
| `features.allowPrivateGoogleAccess` | `enum` Specifies whether private Google access is allowed. |
| `features.interfaceTypes[]` | `enum` If set, limits the interface types that the network supports. If empty, all interface types are supported. |
| `features.allowClassDFirewalls` | `enum` Specifies whether firewalls for Class D address ranges are supported. |
| `features.allowSubInterfaces` | `enum` Specifies whether sub interfaces are allowed. |
| `features.allowExternalIpAccess` | `enum` Specifies whether VMs are allowed to have external IP access on network interfaces connected to this VPC. |
| `features.addressPurposes[]` | `enum` Specifies what address purposes are supported. If empty, all address purposes are supported. |
| `features.allowAliasIpRanges` | `enum` Specifies whether alias IP ranges (and secondary address ranges) are allowed. |
| `features.allowDefaultNicAttachment` | `enum` Specifies whether default NIC attachment is allowed. |
| `features.allowNcc` | `enum` Specifies whether NCC is allowed. |
| `features.allowIpForwarding` | `enum` Specifies whether IP forwarding is allowed. |
| `features.allowNetworkMigration` | `enum` Specifies whether VM network migration is allowed. |
| `features.allowFirewallPolicy` | `enum` Specifies whether firewall policy can be attached to the network. |
| `features.firewallPolicyTypes[]` | `enum` |
| `features.allowVpcFirewallRules` | `enum` Specifies whether VPC firewall rules can be created under the network. |
| `features.allowMultiNicInSameSubnetwork` | `enum` Specifies whether multi-nic in the same subnetwork is allowed. |
| `features.predefinedNetworkInternalIpv6Range` | `string` Specifies a predefined internal IPv6 range for the network. |
| `features.predefinedSubnetworkRanges[]` | `object` Predefined subnetwork ranges for the network. |
| `features.predefinedSubnetworkRanges[].namePrefix` | `string` The naming prefix of the predefined subnetwork. |
| `features.predefinedSubnetworkRanges[].ipv6Range` | `string` The IPv6 range of the predefined subnetwork. |
| `features.allowSubnetworkCreation` | `enum` Specifies whether subnetwork creation is allowed. |
| `features.allowAddressCreation` | `enum` Specifies whether address creation is allowed. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.networkProfiles.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).